DCMD(1)

NOM
dcmd - Développer la liste des fichiers d'un fichier .dsc ou .changes sur une ligne de commande

SYNOPSIS
dcmd [options] [commande] [fichier-changes|fichier-dsc] ...

DESCRIPTION
dcmd remplace toutes les références à un fichier .dsc ou .changes sur la ligne de commande par la liste des fichiers de sa section "Files", plus le fichier lui-même. Cela facilite la manipulation de tous les fichiers impliqués dans un envoi (pour les fichiers .changes) ou un paquet source (pour les fichiers .dsc).

Si aucune commande n'est fournie (c'est-à-dire si le premier paramètre est un fichier .dsc ou .changes), la liste des fichiers est affichée sur la sortie standard, un fichier par ligne. C'est utile pour l'utilisation dans une autre commande.

OPTIONS
Différentes options permettent de ne sélectionner qu'une partie des fichiers listés dans le fichier .dsc ou .changes. Si un fichier demandé n'est pas trouvé, un message d'erreur est affiché.

--dsc
    Sélectionner le fichier .dsc.

--schanges
    Sélectionner les fichiers .changes pour l'architecture "source".

--bchanges
    Sélectionner les fichiers .changes pour les architectures binaires.

--changes
    Sélectionner les fichiers .changes. Implique --schanges et --bchanges.

--archdeb
    Sélectionner les paquets binaires (fichiers .deb) spécifiques à une architecture.

--indepdeb
    Sélectionner les paquets binaires (fichiers .deb) non spécifiques à une architecture.

--deb
    Sélectionner les paquets binaires (fichiers .deb). Implique --archdeb et --indepdeb.

--archudeb
    Sélectionner les paquets .udeb binaires spécifiques à une architecture.

--indepudeb
    Sélectionner les paquets .udeb binaires non spécifiques à une architecture.

--udeb
    Sélectionner les paquets .udeb binaires. Implique --archudeb et --indepudeb.

--tar, --orig
    Sélectionner le fichier .tar amont.

--diff, --debtar
    Sélectionner le fichier Debian .debian.tar ou .diff.

Chaque option peut être préfixée par --no pour indiquer que tous les fichiers qui ne correspondent pas aux indications doivent être sélectionnés.

Il n'est pas possible de combiner les options de filtrage positives (par exemple --dsc) et négatives (par exemple --no-changes) dans le même appel à dcmd.

--no-fail-on-missing, -r
    Si un des fichiers demandés n'est pas trouvé, ne pas afficher d'erreur.

--package, -p
    N’afficher que la partie du nom de paquet.

--sort, -s
    Trier alphabétiquement en sortie.

--tac, -t
    Inverser l’ordre de sortie.

EXEMPLES
Copier le résultat d'une construction de paquet sur une autre machine :

$ dcmd scp rcs_5.7-23_amd64.changes elegiac:/tmp
rcs_5.7-23.dsc                  100%  490     0.5KB/s   00:00
rcs_5.7-23.diff.gz              100%   12KB  11.7KB/s   00:00
rcs_5.7-23_amd64.deb            100%  363KB 362.7KB/s   00:00
rcs_5.7-23_amd64.changes        100% 1095     1.1KB/s   00:00
$

$ dcmd --diff --deb scp rcs_5.7-23_amd64.changes elegiac:/tmp
rcs_5.7-23.diff.gz              100%   12KB  11.7KB/s   00:00
rcs_5.7-23_amd64.deb            100%  363KB 362.7KB/s   00:00
$

Vérifier le contenu d'un paquet source :

$ dcmd md5sum rcs_5.7-23.dsc
8fd09ea9654cda128f8d5c337d3b8de7  rcs_5.7.orig.tar.gz
f0ceeae96603e823eacba6721a30b5c7  rcs_5.7-23.diff.gz
5241db1e231b1f43ae5514b63d2523f8  rcs_5.7-23.dsc
$

$ dcmd --no-diff md5sum rcs_5.7-23.dsc
8fd09ea9654cda128f8d5c337d3b8de7  rcs_5.7.orig.tar.gz
5241db1e231b1f43ae5514b63d2523f8  rcs_5.7-23.dsc
$

VOIR AUSSI
dpkg-genchanges(1), dpkg-source(1)

AUTEUR
Ce programme a été écrit par Romain Françoise <rfrancoise@debian.org> et est distribué sous licence GPL, version 2 ou ultérieure.

TRADUCTION
Ce document est une traduction, maintenue à l'aide de l'outil po4a <https://po4a.alioth.debian.org/> par l'équipe de traduction francophone du projet Debian.

Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux et David Prévot ont réalisé cette traduction.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.